Subject: Re: Running gitweb under mod_perl

From: [email-masked] (Randal L. Schwartz)
Date: 24 Aug 2006 18:13:38 -0700

>>>>> "Jakub" == Jakub Narebski <[email-masked]> writes:

Jakub> Is there any way to check at _runtime_ if script is run under mod_perl,
Jakub> or would it be simplier (after script reorganization) for install time
Jakub> selection of using CGI, FastCGI, or Apache2::something...?

Yeah, look at the first few dozen lines of CGI.pm - it has to do different
things based on whether it's being run under mod_perl.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Perl/Unix/security consulting, Technical writing, Comedy, etc. etc.
See PerlTraining.Stonehenge.com for onsite and open-enrollment Perl training!